%global _empty_manifest_terminate_build 0
Name:		python-josepy
Version:	1.8.0
Release:	1
Summary:	JOSE protocol implementation in Python
License:	Apache License 2.0
URL:		https://github.com/certbot/josepy
Source0:	https://files.pythonhosted.org/packages/80/0d/4a2c00b8683b9e6c0fffa9b723dfa07feb3e8bcc6adcdf0890cf7501acd0/josepy-1.8.0.tar.gz
BuildArch:	noarch

Requires:	python3-cryptography
Requires:	python3-PyOpenSSL
Requires:	python3-setuptools
Requires:	python3-mypy
Requires:	python3-pytest
Requires:	python3-tox
Requires:	python3-Sphinx
Requires:	python3-sphinx-rtd-theme
Requires:	python3-coverage
Requires:	python3-pytest-cache
Requires:	python3-pytest-cov
Requires:	python3-flake8
Requires:	python3-pytest-flake8
Requires:	python3-pytest

%description
JOSE protocol implementation in Python using cryptography

%package -n python3-josepy
Summary:	JOSE protocol implementation in Python
Provides:	python-josepy
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-josepy
JOSE protocol implementation in Python using cryptography

%package help
Summary:	Development documents and examples for josepy
Provides:	python3-josepy-doc
%description help
JOSE protocol implementation in Python using cryptography

%prep
%autosetup -n josepy-1.8.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-josepy -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jun 28 2021 Python_Bot <Python_Bot@openeuler.org> - 1.8.0-1
- Package Spec generated
